Page MenuHomePhabricator

LogicException from line 248 of /srv/mediawiki/php-1.31.0-wmf.24/extensions/ReadingLists/src/ReadingListRepository.php: Encountered deleted list with non-unique name
Closed, ResolvedPublic

Description

Rare, but happens.

#0 /srv/mediawiki/php-1.31.0-wmf.24/extensions/ReadingLists/src/Api/ApiReadingListsCreate.php(33): MediaWiki\Extensions\ReadingLists\ReadingListRepository->addList(string, string)
#1 /srv/mediawiki/php-1.31.0-wmf.24/extensions/ReadingLists/src/Api/ApiReadingLists.php(46): MediaWiki\Extensions\ReadingLists\Api\ApiReadingListsCreate->execute()
#2 /srv/mediawiki/php-1.31.0-wmf.24/includes/api/ApiMain.php(1580): MediaWiki\Extensions\ReadingLists\Api\ApiReadingLists->execute()
#3 /srv/mediawiki/php-1.31.0-wmf.24/includes/api/ApiMain.php(542): ApiMain->executeAction()
#4 /srv/mediawiki/php-1.31.0-wmf.24/includes/api/ApiMain.php(513): ApiMain->executeActionWithErrorHandling()
#5 /srv/mediawiki/php-1.31.0-wmf.24/api.php(94): ApiMain->execute()
#6 /srv/mediawiki/w/api.php(3): include(string)
#7 {main}

Event Timeline

Tgr created this task.Mar 9 2018, 11:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2018, 11:02 PM
Tgr updated the task description. (Show Details)Mar 9 2018, 11:14 PM
Tgr updated the task description. (Show Details)
Tgr updated the task description. (Show Details)Mar 9 2018, 11:17 PM

Change 418300 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/ReadingLists@master] Log more information when logic errors happen

https://gerrit.wikimedia.org/r/418300

Change 418300 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Log more information when logic errors happen

https://gerrit.wikimedia.org/r/418300

Change 420155 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Log ReadingLists warnings

https://gerrit.wikimedia.org/r/420155

Change 420155 merged by jenkins-bot:
[operations/mediawiki-config@master] Log ReadingLists warnings

https://gerrit.wikimedia.org/r/420155

Tgr added a comment.Mar 21 2018, 4:54 AM
wikiadmin@10.64.32.26(wikishared)>select max(rl_date_updated) from reading_list where rl_deleted = 1 and rl_name not like 'deleted-%';
+----------------------+
| max(rl_date_updated) |
+----------------------+
| 20180305195743       |
+----------------------+
1 row in set (0.00 sec)

wikiadmin@10.64.32.26(wikishared)>select min(rl_date_updated) from reading_list where rl_deleted = 1 and rl_name like 'deleted-%';
+----------------------+
| min(rl_date_updated) |
+----------------------+
| 20180306224200       |
+----------------------+
1 row in set (0.00 sec)

So apparently I forgot to clean up the names of old deleted lists (that were deleted before the patch for T188120 was deployed).

Tgr closed this task as Resolved.Apr 2 2018, 1:39 PM

This only affected lists which have been deleted before March 6 and those have been hard-deleted since (there are two remaining but both are test lists).